Replaced /bin/sh by /bin/bash
[hvlinux.git] / stage2 / cis-hv-utilities
index a721fa6..7fa350c 100755 (executable)
@@ -1,4 +1,6 @@
-#!/bin/sh
+#!/bin/bash
+set -o errexit
+
 # First argument of this script is the package name
 
 # Reading system configuration informations, functions and package versions.
@@ -13,11 +15,10 @@ SYSBINDIR="${PREFIX}/sbin"
 BIN_UTILITIES="camera-download cd-erase cd-copy pstopdf distro-backup dos2unix \
                dvd-ram-format fix-avi gztobz2 hv-backup hv-video-dvd mail-files \
                mail-if-fail mail-statistics media-write pstopdf replace.pl \
-               rotatelogs setdate strip-debug-symbols tildes-clean"
+               rotatelogs setdate strip-debug-symbols tarbz2 tildes-clean"
 
 for program in ${BIN_UTILITIES}; do
-    install -v ${SRCDIR}/${program} ${BINDIR} || exit 1
+    install -v ${SRCDIR}/${program} ${BINDIR}
 done
 
-# Return last error
 exit $?